Subject: Re: bug#54633: [PATCH] * configure.ac: Fix --without-gif for W32, NS, Haiku, and PGTK.

From: Randy Taylor <[email-masked]>
Date: Wed, 30 Mar 2022 13:34:22 +0000

------- Original Message -------

On Wednesday, March 30th, 2022 at 09:27, Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 30 Mar 2022 12:42:54 +0000
>
> > From: Randy Taylor [email-masked]
> >
> > Cc: [email-masked]
> >
> > When I build Emacs I specify "--without-gif".
> >
> > When using PGTK:
> >
> > - With the original code and specifying "--without-gif", here is what configure gives me: Does Emacs use a gif library? yes -lgif
> >
> > - With the patch and specifying "--without-gif", I get this (as expected): Does Emacs use a gif library? no
> >
> > - With the patch, if I remove "--without-gif" or specify "--with-gif=yes", I get this (as expected): Does Emacs use a gif library? yes -lgif
> >
> > When using X11:
> >
> > - With the original code and specifying "--without-gif", here is what configure gives me (as expected): Does Emacs use a gif library? no
> >
> > - With the original code and removing "--without-gif" or specifying "--with-gif="yes", here is what configure gives me (as expected): Does Emacs use a gif library? yes -lgif
> >
> > The check in the code for "--without-gif" only applies to X11, but not the other systems.
> >
> > This patch fixes it to apply for all the systems in that check, in the same fashion as the SVG check (see line 2660 in configure.ac).
>
> Thanks. But your patch touched more than just the PGTK build. For
>
> w32, for example, I see no reason to make any changes; do you?
>
> Likewise for NS.
>
> Po Lu, do you agree that only PGTK needs a fix? If co, can you
>
> suggest a fix for PGTK only?

If someone specifies "--without-gif", then Emacs should not build with gif support. That is why I made the check to apply for all systems. The same behaviour already applies to all the other formats, like SVG which I mentioned.